require "import"
import "android.widget.*"
import "android.view.*"
import "android.media.MediaPlayer"

activity.setTitle("لعبة البسق على مهند إياد")
activity.setTheme(android.R.style.Theme_DeviceDefault_Light_NoActionBar)

spitCount = 0
selectedSpit = nil
local mediaPlayer = MediaPlayer()

-- **دالة تشغيل الصوت**
function playSpitSound()
    local filePath = "/storage/emulated/0/解说/Tools/لعبة البسق على مهند إياد/voyce/صوت البساق.m4a"
    local file = io.open(filePath, "r")
    if file then
        file:close()
        mediaPlayer.reset()
        mediaPlayer.setDataSource(filePath)
        mediaPlayer.prepare()
        mediaPlayer.start()
    else
        Toast.makeText(activity, "الملف الصوتي غير موجود!", Toast.LENGTH_SHORT).show()
    end
end

-- **الواجهة الرئيسية**
mainLayout = {
    LinearLayout,
    orientation = "vertical",
    layout_width = "fill",
    layout_height = "fill",
    background = "#FFFFFF",
    padding = "16dp",
    {
        TextView,
        text = "مهند إياد بالجزء الأول عندما تم ضربه بالنعال لم يصير محترم بل صار أسوأ من ذي قبل.\nيجب عليك أن تبسق عليه لعله يصير محترمًا!",
        textSize = "18sp",
        textColor = "#000000",
        layout_width = "fill",
        layout_height = "wrap_content",
    },
    {
        Button,
        text = "اختر نوع التفلة",
        layout_width = "match_parent",
        layout_height = "wrap_content",
        layout_marginTop = "10dp",
        onClick = function()
            showSpitSelection()
        end,
    },
}

-- **واجهة اختيار نوع التفلة**
function showSpitSelection()
    local spitSelectionLayout = {
        LinearLayout,
        orientation = "vertical",
        layout_width = "fill",
        layout_height = "fill",
        padding = "16dp",
        {
            TextView,
            text = "اختر نوع التفلة:",
            textSize = "18sp",
            textColor = "#000000",
            layout_width = "fill",
            layout_height = "wrap_content",
        },
        {
            Button,
            text = "تفلة عادية",
            layout_width = "match_parent",
            layout_height = "wrap_content",
            onClick = function()
                selectedSpit = "تفلة عادية"
                startGame()
            end,
        },
        {
            Button,
            text = "تفلة أم البلغم",
            layout_width = "match_parent",
            layout_height = "wrap_content",
            onClick = function()
                selectedSpit = "تفلة أم البلغم"
                startGame()
            end,
        },
    }
    activity.setContentView(loadlayout(spitSelectionLayout))
end

-- **واجهة اللعب**
function startGame()
    spitCount = 0  -- إعادة العداد للصفر عند بدء اللعبة

    local gameLayout = {
        LinearLayout,
        orientation = "vertical",
        layout_width = "fill",
        layout_height = "fill",
        padding = "16dp",
        {
            TextView,
            text = "نوع التفلة المختار: " .. selectedSpit,
            textSize = "18sp",
            textColor = "#000000",
            layout_width = "fill",
            layout_height = "wrap_content",
        },
        {
            TextView,
            id = "gameStatus",
            text = "مهند إياد ينتظر البسق عليه!",
            textSize = "16sp",
            textColor = "#000000",
            layout_width = "fill",
            layout_height = "wrap_content",
            layout_marginTop = "10dp",
        },
        {
            Button,
            text = "اتفل على مهند إياد",
            layout_width = "match_parent",
            layout_height = "wrap_content",
            onClick = function()
                spitOnMahand()
            end,
        },
        {
            TextView,
            id = "spitCountText",
            text = "عدد التفلات: 0",
            textSize = "16sp",
            textColor = "#000000",
            layout_width = "fill",
            layout_height = "wrap_content",
            layout_marginTop = "10dp",
        },
        {
            Button,
            text = "الخروج",
            layout_width = "match_parent",
            layout_height = "wrap_content",
            layout_marginTop = "10dp",
            onClick = function()
                activity.finish()
            end,
        },
    }
    activity.setContentView(loadlayout(gameLayout))
end

-- **دالة تنفيذ البسق وتحديث التأثيرات**
function spitOnMahand()
    spitCount = spitCount + 1
    playSpitSound() -- تشغيل الصوت عند كل تفلة

    local damageMessage = ""

    if selectedSpit == "تفلة عادية" then
        if spitCount == 1 then
            damageMessage = "مهند إياد بدأ يشعر بالقرف والتقيؤ!"
        elseif spitCount == 3 then
            damageMessage = "مهند إياد لم يعد يستطيع التوقف عن التقيؤ!"
        elseif spitCount == 5 then
            damageMessage = "مهند إياد دخل في غيبوبة من كثرة التقيؤ!"
        else
            damageMessage = "التأثير يزداد سوءًا مع كل تفلة!"
        end
    elseif selectedSpit == "تفلة أم البلغم" then
        if spitCount == 1 then
            damageMessage = "بدأت الجراثيم بالتسلل إلى جسم مهند إياد!"
        elseif spitCount == 3 then
            damageMessage = "جلد مهند إياد يتشقق وبدأ يشعر بألم شديد!"
        elseif spitCount == 5 then
            damageMessage = "مهند إياد أصبح يعاني من تسمم حاد وربما لن ينجو!"
        else
            damageMessage = "تزداد العدوى انتشارًا مع كل تفلة!"
        end
    end

    gameStatus.setText(damageMessage)
    spitCountText.setText("عدد التفلات: " .. spitCount)
end

activity.setContentView(loadlayout(mainLayout))